#ifndef ATBHEALTHEVENT_H
#define ATBHEALTHEVENT_H

#include <QEvent>
#include <QString>

enum class ATB_HEALTH_MODE : quint8;

const QEvent::Type ATB_HEALTH_EVENT = static_cast<QEvent::Type>(QEvent::User + 1);


class ATBHealthEvent : public QEvent
{

public:
    ATBHealthEvent(ATB_HEALTH_MODE mode, const QString & errorNumber, const QString & errorDescription);

    QString getErrorNumber();
    QString getErrorDescription();
    ATB_HEALTH_MODE getMode();

signals:

public slots:


private:
    ATB_HEALTH_MODE healthMode;
    QString errorNumber;
    QString errorDescription;
};


enum class ATB_HEALTH_MODE : quint8 {
    WARNING,
    ERROR,
    WARNING_CORRECTION,
    ERROR_CORRECTION,
    DEBUG,
    STATE,
    UNSPECIFIED
};

#endif // ATBHEALTHEVENT_H
